core_kernel

Industrial strength alternative to OCaml's standard library
Description

The Core suite of libraries is an industrial strength alternative to OCaml's standard library that was developed by Jane Street, the largest industrial user of OCaml.

Core_kernel is the system-independent part of Core.

Install
Published
18 Nov 2020
Authors
Maintainers
Sources
v0.14.1.tar.gz
md5=77b25affd5155128ca757d38e496d89f
Dependencies
dune >= "2.0.0"
variantslib >= "v0.14" & < "v0.15"
typerep >= "v0.14" & < "v0.15"
time_now >= "v0.14" & < "v0.15"
stdio >= "v0.14" & < "v0.15"
splittable_random >= "v0.14" & < "v0.15"
sexplib >= "v0.14" & < "v0.15"
ppx_sexp_message >= "v0.14" & < "v0.15"
ppx_sexp_conv >= "v0.14" & < "v0.15"
ppx_jane >= "v0.14" & < "v0.15"
ppx_inline_test >= "v0.14" & < "v0.15"
ppx_hash >= "v0.14" & < "v0.15"
ppx_base >= "v0.14" & < "v0.15"
ppx_assert >= "v0.14" & < "v0.15"
jst-config >= "v0.14" & < "v0.15"
jane-street-headers >= "v0.14" & < "v0.15"
fieldslib >= "v0.14" & < "v0.15"
bin_prot >= "v0.14" & < "v0.15"
base_quickcheck >= "v0.14" & < "v0.15"
base_bigstring >= "v0.14" & < "v0.15"
base >= "v0.14" & < "v0.15"
ocaml >= "4.08"
Reverse Dependencies
accessor_async = "v0.14.1"
accessor_core = "v0.14.1"
async = "v0.14.0"
async_durable = "v0.14.0"
async_extra = "v0.14.0"
async_kernel = "v0.14.0"
async_rpc_kernel = "v0.14.0"
async_unix = "v0.14.0"
async_websocket = "v0.14.0"
aws-s3-async = "3.0.0"
bap-abi >= "2.2.0"
bap-api >= "2.2.0"
bap-arm >= "2.2.0"
bap-beagle >= "2.2.0"
bap-bil >= "2.2.0"
bap-build >= "2.2.0"
bap-bundle >= "2.2.0"
bap-byteweight >= "2.2.0"
bap-c >= "2.2.0"
bap-cache >= "2.2.0"
bap-demangle >= "2.2.0"
bap-dwarf >= "2.2.0"
bap-elf >= "2.2.0"
bap-frontend >= "2.2.0"
bap-future >= "2.2.0"
bap-ida >= "2.2.0"
bap-ida-plugin >= "2.2.0"
bap-knowledge >= "2.2.0"
bap-llvm >= "2.2.0"
bap-mc >= "2.2.0"
bap-microx >= "2.2.0"
bap-mips >= "2.2.0"
bap-objdump >= "2.2.0"
bap-phoenix >= "2.2.0"
bap-plugins >= "2.2.0"
bap-powerpc >= "2.2.0"
bap-primus >= "2.2.0"
bap-print >= "2.2.0"
bap-raw >= "2.2.0"
bap-std >= "2.2.0"
bap-strings >= "2.2.0"
bap-taint >= "2.2.0"
bap-trace >= "2.2.0"
bap-traces >= "2.2.0"
bap-x86 >= "2.2.0"
bare >= "2.2.0"
bignum = "v0.14.0"
bio_io != "0.2.1" & < "0.5.1"
biocaml >= "0.11.0" & < "0.11.2"
bonsai = "v0.14.0"
capnp >= "3.0.0" & < "3.2.0"
caqti-async >= "1.2.2" & < "1.9.0"
cfstream >= "1.3.1"
core >= "v0.14.0" & < "v0.15.0"
core_bench = "v0.14.0"
core_extended = "v0.14.0"
core_profiler = "v0.14.0"
cstruct-async >= "3.0.2" & < "6.1.0"
dbf >= "0.1.1"
ecaml = "v0.14.0"
email_message = "v0.14.0"
flow_parser >= "0.159.0"
fuzzy_compare < "2.0.0"
git < "1.3.0"
graphlib >= "2.2.0"
hack_parallel = "1.0.0"
incr_dom = "v0.14.0"
incr_map = "v0.14.0"
incr_select = "v0.14.0"
incremental = "v0.14.0"
irmin < "0.9.0"
libsvm = "0.9.3" | >= "0.10.0"
mlt_parser >= "v0.14.0" & < "v0.15.0"
monads >= "2.2.0"
ocaml_plugin = "v0.14.0"
ogre >= "2.2.0"
opium >= "0.12.0" & < "0.15.0"
patdiff = "v0.14.0"
patience_diff = "v0.14.0"
plotkicadsch >= "0.5.0" & < "0.8.0"
postgres_async = "v0.14.0"
pyml_bindgen < "0.4.1"
re2 = "v0.14.0"
regular >= "2.2.0"
resource_cache = "v0.14.0"
rpc_parallel = "v0.14.0"
SZXX < "3.0.0"
sexp = "v0.14.0"
sexp_diff_kernel >= "v0.14.0"
shell = "v0.14.0"
splay_tree = "v0.14.0"
tdigest < "2.0.0"
text-tags >= "2.2.0"
textutils = "v0.14.0"
textutils_kernel = "v0.14.0"
tidy >= "5.6-0.1"
timezone = "v0.14.0"
toplevel_backend = "v0.14.0"
toplevel_expect_test >= "v0.14.0" & < "v0.15.0"
topology >= "0.4.0"
travesty >= "0.3.0" & < "0.6.0"
vcaml = "v0.14.0"
virtual_dom = "v0.14.0"
zstandard = "v0.14.0"